$(window).on("resize", function (){
    zmenaMaximalniVelikostiObrazku();
});
je_pustena_slideshow = false; // Obsahuje informaci o tom, zda je momentálně spuštěná slideshow
function nacistObrazek(i){
    location.href='#'+aktualniObrazek;
    $(".lightbox img").attr("src", "gallery/images/img"+i+".jpg");
    if (i==1)
        $(".sipka_vlevo, .prejit_vlevo").hide();
    else
    {
        $(".sipka_vlevo").css("display", "inline");
        $(".prejit_vlevo").show();
    }
    if (i==23)
        $(".sipka_vpravo, .prejit_vpravo").hide();
    else
    {
        $(".sipka_vpravo").css("display", "inline");
        $(".prejit_vpravo").show();
    }
    $(".lightbox").fadeIn();
}
function zavrit(){
    if (je_pustena_slideshow)
        clearInterval(slideshow);
    $(".lightbox").fadeOut();
    location.href='#';
}
function zmenaMaximalniVelikostiObrazku(){
    $(".lightbox img").css("max-width", ($(window).width()-30)+"px");
    $(".lightbox img").css("max-height", ($(window).height()-30)+"px");
}
function prejitNaPredchoziObrazek(){
    if (aktualniObrazek>1)
        nacistObrazek(--aktualniObrazek);
}
function prejitNaDalsiObrazek(){
    if (aktualniObrazek<23)
        nacistObrazek(++aktualniObrazek);
    else if (je_pustena_slideshow)
        zavrit();
}

$(function() {
    // Spustit slideshow:

    $(".slideshow_start").click(function (){
        aktualniObrazek = 1;
        nacistObrazek(1);
        je_pustena_slideshow = true;
        slideshow = setInterval("prejitNaDalsiObrazek()", 2000);
    });

    // Zajišťuje změnu barvy šipek při najetní na levou/pravou část obrazovky:

    $(".prejit_vlevo, .sipka_vlevo").hover(function (){
            $(".sipka_vlevo").css("color", "#aaaaaa");
        }, function (){
            $(".sipka_vlevo").css("color", "white");
    });
    $(".prejit_vpravo, .sipka_vpravo").hover(function (){
            $(".sipka_vpravo").css("color", "#aaaaaa");
        }, function (){
            $(".sipka_vpravo").css("color", "white");
    });

    // Obsluha kliknutí na šipku:

    $(".prejit_vlevo, .sipka_vlevo").click(function (){
        prejitNaPredchoziObrazek();
    });
    $(".prejit_vpravo, .sipka_vpravo").click(function (){
        prejitNaDalsiObrazek();
    });

    // Obsluha kliknutí na křížek (zavření obrázku):

    $(".zavrit").click(function (){
        zavrit();
    });

    // Zvětšení obrázku po kliknutí na miniaturu:

    $(".miniatury a").click(function (e){
        e.preventDefault();
        aktualniObrazek = $(this).attr("data-n");
        nacistObrazek (aktualniObrazek);
    });

    // Načte aktuální obrázek z URL adresy (pokud takový obrázek existuje):

    adresa = location.href.split("#");
    aktualniObrazek=adresa[1];
    if (aktualniObrazek>=1 & aktualniObrazek<=23)
      nacistObrazek(adresa[1]);

    // Ovládání klávesnicí:

    $("html").keydown(function (e){
        if ($(".lightbox").css("display") == "none")
            // Neumožní přejít na předcházející / další obrázek, pokud ještě nebyl žádný vybrán.
            return true;
        switch (e.which){
            case 27:
                // Escape
                zavrit();
                break;
            case 37:
                // Šipka vlevo
                prejitNaPredchoziObrazek();
                break;
            case 39:
                // Šipka vpravo
                prejitNaDalsiObrazek();
                break;
        }
    });
    zmenaMaximalniVelikostiObrazku();
});